<?php

namespace App\Http\Strategies\PasswordRecovery;

use App\Http\Enums\AuthStrategies;


class PasswordRecoveryStrategy
{
    public function strategy($strategy)
    {
        return match ($strategy) {
            AuthStrategies::Phone->value => $this->phone(),
        };
    }

    public function phone()
    {
        return new PhoneStrategy;
    }
}
